diff --git a/Include/Makefile.am b/Include/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Include/Makefile.am
@@ -0,0 +1,2 @@
+pkgincludedir = $(includedir)/btf
+pkginclude_HEADERS = btf.h btf_internal.h
diff --git a/Makefile.am b/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,5 @@
+SUBDIRS = Include Source
+EXTRA_DIST = README.txt Doc/ChangeLog Doc/lesser.txt
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = btf.pc
diff --git a/Source/Makefile.am b/Source/Makefile.am
new file mode 100644
--- /dev/null
+++ b/Source/Makefile.am
@@ -0,0 +1,18 @@
+AM_CPPFLAGS = -I$(top_srcdir)/Include $(UFCONFIG_CFLAGS)
+
+BTFSRC = \
+	btf_maxtrans.c \
+	btf_order.c \
+	btf_strongcomp.c
+
+lib_LTLIBRARIES = libbtf.la
+noinst_LTLIBRARIES = libbtfi.la libbtfl.la
+
+libbtfi_la_SOURCES = $(BTFSRC)
+
+libbtfl_la_SOURCES = $(BTFSRC)
+libbtfl_la_CPPFLAGS = $(AM_CPPFLAGS) -DDLONG
+
+libbtf_la_SOURCES =
+libbtf_la_LIBADD = libbtfi.la libbtfl.la
+libbtf_la_LDFLAGS = -no-undefined -version-info 2:2:1
diff --git a/btf.pc.in b/btf.pc.in
new file mode 100644
--- /dev/null
+++ b/btf.pc.in
@@ -0,0 +1,11 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: @PACKAGE_NAME@
+Description: Permutation to block triangular form
+Version: @PACKAGE_VERSION@
+Requires.private: ufconfig
+Libs: -L${libdir} -lbtf
+Cflags: -I${includedir}/btf
diff --git a/configure.ac b/configure.ac
new file mode 100644
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,21 @@
+AC_PREREQ([2.68])
+AC_INIT([BTF],[1.1.2],[davis@cise.ufl.edu])
+AC_CONFIG_SRCDIR([Source/btf_order.c])
+AC_CONFIG_HEADER([config.h])
+AM_INIT_AUTOMAKE([foreign])
+LT_INIT
+
+AC_PROG_INSTALL
+AC_PROG_CC
+
+PKG_PROG_PKG_CONFIG
+PKG_CHECK_MODULES([UFCONFIG],[ufconfig],
+	[],
+	[AC_MSG_ERROR([cannot find ufconfig])])
+
+AC_CONFIG_FILES([
+	btf.pc
+	Makefile
+	Include/Makefile
+	Source/Makefile])
+AC_OUTPUT
